ReadStruct <- function (pathfile, del=",", s.tag=NULL, e.tag=NULL)
{
  c1 <- list();
  c2 <- list();
  
  con <- file(pathfile, open="r");
  on.exit(close(con));
  
  line     <- readLines(con, n=1);
  
  # read until the s.tag
  if (!is.null(s.tag) && !is.null(e.tag))
  {
    while(length(line)!=0 && line!=s.tag)
    {
      line <- readLines(con, n=1);
    }
    line <- readLines(con, n=1);
  }
  else
  {
    e.tag <- "";
  }
  
  # columns
  cols <- strsplit(line, del)
  cols <- cols[[1]];
  cols <- c(gsub("\"","",cols[1]),gsub("\"","",cols[2]))
  line <- readLines(con, n=1)
  r <- 1
  
  # read file until the end or e.tag
  while(length(line)!=0 && line!=e.tag)
  {
    ln      <- strsplit(line, del)
    ln      <- ln[[1]]
    c1 <- c( c1, gsub("\"","",ln[1]))
    c2 <- c( c2, gsub("\"","",ln[2]))
    
    line <- readLines(con, n=1)
    r <- r + 1
  }
  
  if (length(c1)==0)
  {
    # empty dataframe
    df <- data.frame(x=numeric(0), y=numeric(0), check.names=FALSE)
  }
  else
  {
    df <- data.frame(cbind(unlist(c1),unlist(c2)), check.names=FALSE)
  }
  names(df) <- cols

  return (df)
}
