\name{CloneCtbn}
\alias{CloneCtbn}

\title{
CloneCtbn 
}
\description{
Clone a continuous-time Bayesian network (CTBN) object.
}
\usage{
CloneCtbn (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
External pointer to the CTBN C++ model. \code{NULL} in the case of errors.
}

\note{
You own the external pointer, so remember to delete it using the \code{\link{DeleteCtbn}} function only.
}

\seealso{
 \code{\link{DeleteCtbn}}, \code{\link{NewCtbn}} 
}

\examples{

# create ctbn
vars    <- data.frame(Name=c("X1","X2"), Value=c(2,3), check.names=FALSE)
xpCtbn  <- NewCtbn(vars)

# clone ctbn
xpCtbn2 <- CloneCtbn(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
xpCtbn2 <- DeleteCtbn(xpCtbn2)
garbage <- gc()
}

\keyword{ clone ctbn }
