\name{GetBnCPTs}
\alias{GetBnCPTs}

\title{
GetBnCPTs
}

\description{
Get the definition of the initial Bayesian network (conditional probability tables) of the CTBN object.
}

\usage{
GetBnCPTs (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
List. List (I) of lists (II) of dataframes (III), in which the I level contains the nodes Xn, the second level contains the parents of Xn (Xn|U), and the III level contains the values of Xn given a particular instantiation of its parents (Xn|u) specified as a dataframe. This dataframe is 1 x m, where m is number of values that Xn can assume (specified in the column header that must be from 0 to value-1), and the row contains the respective probabilities (that must sum up to 1). The names contained in the I level list must be Xn and the names of the II level list must be in the form Xn$U=u. \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{SetBnCPTs}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

bn.cpts   <- GetBnCPTs(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}

\keyword{ get static definition }
