\name{GetBnStruct}
\alias{GetBnStruct}

\title{
GetBnStruct
}

\description{
Get the structure of the initial Bayesian network of the CTBN object.
}

\usage{
GetBnStruct (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
Dataframe k x 2. It is used to define the structure of the initial Bayesian network (specified as a directed acyclic graph). Each row consists of the name of the parent of Xn (from) and the name of Xn (to). Both names are contained in the variables definition of the CTBN model (case sensitive). \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{SetBnStruct}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

bn.str    <- GetBnStruct(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}

\keyword{ get static structure }
