\name{GetCtbnJointDyn}
\alias{GetCtbnJointDyn}

\title{
GetCtbnJointDyn
}

\description{
Get the joint intensity matrix for the entire CTBN object.
}

\usage{
GetCtbnJointDyn (xpCtbn)
}

\arguments{

  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
Matrix. Joint intensity matrix for the entire CTBN model (not recommended if your CTBN is large). 
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

jointIntsMat <- GetCtbnJointDyn(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}

\keyword{ joint intensity matrix }
