\name{GetCtbnVars}
\alias{GetCtbnVars}

\title{
GetCtbnVars
}

\description{
Get the variables definition of the CTBN object.
}

\usage{
GetCtbnVars (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
Dataframe n x 2. It is used to define the variables of the CTBN model.
Each row consists of the name (string) of n variables Xn and a value (integer) corresponding of the number of values that the variable can assume (defined from 0 to value-1, -1 if unknown). \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{NewCtbn}}
}

\examples{

# create ctbn
vars   <- data.frame(Name=c("X1","X2"), Value=c(2,3), check.names=FALSE)
xpCtbn <- NewCtbn(vars)

vars2  <- GetCtbnVars(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}

\keyword{ get ctbn variables }
