\name{GetDynStruct}
\alias{GetDynStruct}

\title{
GetDynStruct
}

\description{
Get the structure of the dynamic component of the CTBN object.
}

\usage{
GetDynStruct (xpCtbn)
}

\arguments{
  \item{xpCtbn}{external pointer to the CTBN C++ model.}
}

\value{
Dataframe k x 2. It is used to define the structure of the dynamic structure (possibly cycle). Each row consists of the name of the parent of Xn (from) and the name of Xn (to). Both names are contained in the variables definition of the CTBN model (case sensitive). \code{NULL} in the case of errors.
}

\seealso{
 \code{\link{SetDynStruct}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)

dyn.str   <- GetDynStruct(xpCtbn)

# delete ctbn
xpCtbn  <- DeleteCtbn(xpCtbn)
garbage <- gc()
}

\keyword{ get dynamic structure }
