\name{GetInfEngineType}
\alias{GetInfEngineType}

\title{
GetInfEngineType
}

\description{
Get the type of the inference engine C++ object.
}

\usage{
GetInfEngineType (engine)
}

\arguments{
  \item{engine}{external pointer to the inference engine C++ object.}
}

\value{
Character. Inference engine type.
}

\seealso{
 \code{\link{NewInfEngine}}, \code{\link{DeleteInfEngine}} 
}

\examples{

# create engine
engine <- NewInfEngine(inf.type="importance", num.samples=1000)

print(GetInfEngineType(engine))

# delete engine
engine  <- DeleteInfEngine(engine)
garbage <- gc()
}

\keyword{ inference engine type }
