\name{WriteProbStruct}
\alias{WriteProbStruct}

\title{
WriteProbStruct
}

\description{
Write the definition of both static and dynamic parts of the CTBN object to a textual file.
}

\usage{
WriteProbStruct (prob.struct, pathfile, append=FALSE)
}

\arguments{

\item{prob.struct}{list. List (I) of lists (II) of dataframes (III), in which the I level contains the nodes Xn, the second level contains the parents of Xn (Xn|U), and the III level contains the values of Xn given a particular instantiation of its parents (Xn|u) specified as a dataframe. This dataframe can be 1 x m (\code{bn.cpts}) or m x m (\code{dyn.cims}), where m is number of values that Xn can assume (specified in the column header that must be from 0 to value-1). The names contained in the I level list must be Xn and the names of the II level list must be in the form Xn$U=u.}

\item{pathfile}{character. File to write.}

\item{append}{boolean. Append to \code{pathfile}.}
}

\value{

}

\seealso{
 \code{\link{ReadProbStruct}}, \code{\link{GetBnCPTs}}, \code{\link{GetDynIntMats}}
}

\examples{

# load ctbn
ctbn.file <- system.file("DrugNetwork", "DrugNetwork.rctbn", package="ctbn")
xpCtbn    <- LoadRCtbn(ctbn.file)
bn.cpts   <- GetBnCPTs(xpCtbn)

WriteProbStruct(bn.cpts, "myDrugNetwork_BN_CPTs.txt")

# delete ctbn
xpCtbn    <- DeleteCtbn(xpCtbn)
garbage   <- gc()
}

\keyword{ write probability structure }
