\name{ctbn-package}
\alias{ctbn-package}
\docType{package}

\title{
R Package for Continuous Time Bayesian Networks
}

\description{
The \code{ctbn} package provides an interface between \code{R} and the Continuous Time Bayesian Network Reasoning and Learning Engine (CTBN-RLE) C++ code. 
The main functionalities of the CTBN-RLE code are designed and implemented in the \code{R} environment.
\cr
This interface is built using the \code{Rcpp} package.
}

\details{
Package: ctbn\cr
Type: Package\cr
Version: 1.0\cr
Date: 2014-04-20\cr
License: GPL (>= 3). \cr
}

\author{
This project is written by S. Villa in collaboration with Christian Shelton. \cr
The CTBN-RLE project is managed by Christian Shelton and development
is done in R-LAIR, Riverside Lab for Artificial Intelligence Research
at the University of California, Riverside.
}

\note{
This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
See the GNU General Public License for more details.
}

\references{
Uri Nodelman, Christian R. Shelton, and Daphne Koller (2003). "Learning
  Continuous Time Bayesian Networks." Proceedings of the Nineteenth
	International Conference.

Uri Nodelman, Christian R. Shelton, and Daphne Koller (2005). "Expectation
	Maximization and Complex Duration Distributions for Continuous Time
	Bayesian Networks." Proceedings of the Twenty-First International
	Conference on Uncertainty in Artificial Intelligence (pp. 421-430).

Uri Nodelman, Daphne Koller, and Christian R. Shelton (2005). "Expectation
	Propagation for Continuous Time Bayesian Networks." Proceedings of the
	Twenty-First International Conference on Uncertainty in Artificial
	Intelligence (pp. 431-440).

Brenda Ng, Avi Pfeffer, and Richard Dearden (2005). "Continuous Time
	Particle Filtering." Proceedings of the Nineteenth International
	Joint Conference on Artificial Intelligence (pp. 1360-1365).

Nir Friedman and Rza Kupferman (2006). "Dimension Reduction in
	Singularly Perturbed Continuous-Time Bayesian Networks."
	Proceedings of the Twenty-Second International
	Conference on Uncertainty in Artificial Intelligence.
  
Suchi Saria, Uri Nodelman, and Daphne Koller (2007). "Reasoning at the
	Right Time Granularity." Proceedings of the Twenty-third Conference
	on Uncertainty in Artificial Intelligence" (pp. 421-430).

Yu Fan and Christian R. Shelton (2008).  "Sampling for Approximate
	Inference in Continuous Time Bayesian Networks."  Proceedings of
	the Tenth International Symposium on Artificial Intelligence
	and Mathematics.

Tal El-Hay, Nir Friedman, and Raz Kupferman (2008). "Gibbs Sampling in
	Factorized Continuous-Time Markov Processes." Proceedings of the
	Twenty-Fourth Conference on Uncertainty in Artificial Intelligence
	(pp. 169-178).

Ido Cohn, Tal El-Hay, Raz Kupferman, and Nir Friedman (2009). "Mean
	Field Variational Approximation for Continuous-Time Bayesian
	Networks."  Proceedings of the Twenty-Fifth International
	Conference on Uncertainty in Artificial Intelligence.
  
Tal El-Hay, Ido Cohn, Nir Friedman, Raz Kupferman (2010). "Continuous-Time
	Belief Propagation." Proceedings of the Twenty-Seventh International
	Conference on Machine Learning.

Vinayak Rao, Yee Whye Teh (2011). "Fast MCMC sampling for Markov jump
	processes and continuous time Bayesian networks." Proceedings of the
	Twenty-Seventh International Conference on Uncertainty in Artificial
	Intelligence.

E. Busra Celikkaya, Christian R. Shelton, and William Lam (2011). "Factored
	Filtering of Continuous-Time Systems." Proceedings of the
	Twenty-Seventh International Conference on Uncertainty in
	Artificial Intelligence.
}
